Avatar

Wie ein Plugin deinstallieren, welches beim Deinstallieren Fehler wirft

You may notice, that many sections are currently only available in german. We are working hard to provide a full translation of our website, but this might take some time. Thank you for understanding.
  • Ich habe eben meine Community (Lebensretter-Deutschland) aufräumen wollen und habe so einige Plugins rausgeworfen.

    Dazu gehört unter anderem der Shop von VieCode. Ich habe alle abhängigen Pakete vorher natürlich deinstalliert. Sonst geht es ja auch nicht.

    Nun ist aber das Paket VieCode Shop: Trophäen für Kundenrezensionen übrig geblieben. Dies lässt sich nun nicht deinstallieren, da der Shop ja nicht mehr da ist.
    Der zuständige Entwickler verweigert den Support. Woltlab auch, da dies Plugin nicht aus dem Pluginstore ist.

    Ich möchte es dennoch raus haben. Da ich es ja nicht mehr benötige.

    Kann mir also bitte, wer verraten wie ich das Plugin rückstandslos bei mir rausbekomme.

    Grüße

  • Grüße

  • Ohne das Paket zu kennen, kann ich da leider nichts zu sagen. Du kannst dir eine Liste der installierten Dateien über die Datenbank-Tabelle wcf1_package_installation_files besorgen, die Dateien manuell löschen und danach (sofern es keine Probleme mit Foreign-Keys bei dir gibt) einfach das Paket aus der Tabelle wcf1_package löschen. Was übrig bleibt, sind eventuell angelegte Tabellen und/oder Spalten in existierenden Tabellen. Die müsstest du ggf. auch händisch löschen.

  • Fremdschlüssel-Überprüfung

    Es wurden keine Fehler gefunden.


    In der Datenbank schaue ich mal nach. Ich weiß allerdings ja nicht wo es alles Tabellen Einträge etc hat. Vllt sollte ich einfach eben den Shop noch mal installieren sein Paket entfernen und dann den Shop wieder deinstallieren. Dann sollte ja alles weg sein. Habe nur gedacht es gäbe einen leichteren Weg.


    Edit. Habe es jetzt so gemacht. Shop installiert. Besagtes Paket deinstalliert. Shop deinstalliert.

    Grüße

  • Ich würde behaupten, dass es sich um einen Fehler im genannten Plugin handelt, da offensichtlich der Shop nicht als Requirement geführt wird, obwohl er offensichtlich benötigt ist.

  • Ich habe es dem zuständigen Entwickler gemeldet. Was man daraus nun macht, ist nicht meine Sache. Danke für die Hilfestellung.

    Grüße

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!